Jump to content

Recommended Posts

Je ne peux pas avancer dans l'installation de PS à cause de ça :

 

Configuration PHP requise

Impossible d'ouvrir les URLs externes (allow_url_fopen doit être activé)

Set short_open_tag to off in php.ini*.

 

Dans le fichier php.ini, je ne vois rien de tout ça et je ne sais pas comment débloquer la situation.

 

Merci d'avance pour votre aide.

Cordialement

Gilles

Share this post


Link to post
Share on other sites

Bonjour,

 

Merci pour le coup de main, qui hélas ne me fait pas sortir la tête de l'eau.

S'agit-il bien du php.ini de prestashop ?

 

J'ai ajouté la ligne de code en rouge. J'ai déplacé le problème mais pas résolu :

  • Configuration PHP requise
  • Impossible d'ouvrir les URLs externes (allow_url_fopen doit être activé)
  • Set short_open_tag to off in php.ini*.

Contenu du fichier php.ini :

 

if (isset(Context::getContext()->controller)) {
    $controller = Context::getContext()->controller;
} else {
    $controller = new FrontController();
    $controller->init();
}
<?php echo '<?xml version="1.0">'; ?>

 

Si toi ou un autre pouvait me donner le fichier ou les codes à inclure j'arriverai sans doute à quelque chose.

Merci d'avance

 

Cordialement

Gilles

Share this post


Link to post
Share on other sites

Il n'y a pas a proprement parler de php.ini dans prestashop. Cette partie dépend de ton hébergement.

 

Je ne comprends pas ce que tu espères faire en écrivant n'importe quoi n'importe où

Ce que tu viens de faire est juste une erreur de syntaxe - donc non ça ne résoud pas ton problème, ça en créé un nouveau.

 

Rapproche toi de ton hébergeur pour savoir où peux-tu mettre en place ces directives. C'est dans un php.ini ou si l'hébergeur le permet dans le .htaccess mais surement pas dans le code, d'autant que le allow_url_fopen est souvent considéré comme un point de sécurité et est donc par définition non modifiable pas le code, seulement à un niveau supérieur inaccessible du code Prestashop

Share this post


Link to post
Share on other sites

Aïe, je me fais eng.... :wacko:  Je faisais une tentative parce que j'ai trouvé un php.ini dans PS.

J'avais bien senti que j'étais loin de mon domaine de compétence, mais on peut toujours essayer. Contact est pris avec l'hébergeur. Affaire à suivre.

 

Merci.

Edited by Esaqui (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More